Bug 16065 - Use Font Awesome icons in dialog when duplicate patron is suspected
Summary: Use Font Awesome icons in dialog when duplicate patron is suspected
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/members/memberentry.pl
Keywords:
Depends on:
Blocks: 16066
  Show dependency treegraph
 
Reported: 2016-03-14 15:05 UTC by Owen Leonard
Modified: 2017-06-14 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16065 - Use Font Awesome icons in dialog when duplicate patron is suspected (3.36 KB, patch)
2016-03-14 15:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16065 - Use Font Awesome icons in dialog when duplicate patron is suspected (3.49 KB, patch)
2016-03-14 16:06 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16065 - Use Font Awesome icons in dialog when duplicate patron is suspected (3.56 KB, patch)
2016-03-15 15:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-14 15:05:43 UTC
When adding a new patron, if a duplicate patron is suspected a dialog is shown. This dialog should use Font Awesome icons.
Comment 1 Owen Leonard 2016-03-14 15:14:27 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-03-14 16:06:16 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-15 15:01:23 UTC
Created attachment 49174 [details] [review]
Bug 16065 - Use Font Awesome icons in dialog when duplicate patron is suspected

This patch updates the new patron template to use Font Awesome icons in
the dialog which is shown when a duplicate patron is suspected.

The patch modifies the CSS rules for a dialog button with "white-space:
pre-line" so that line breaks in button text markup are treated as line
breaks on display. Allowing the text to wrap prevents the buttons from
being too wide and stacking one below the other.

To test, apply the patch and go to Patrons -> New patron.

- Attempt to save a new patron with details matching an existing patron
  in order to trigger the duplicate patron warning.
- Confirm that the resulting dialog is styled correctly.
- Confirm the behavior of both the 'Edit existing' and 'Save as new'
  buttons.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-21 21:29:52 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!